﻿<tools:BaseUC x:Class="CVRM.Views.Product.AddEdit"
               xmlns:tools="clr-namespace:CVRM.VMs.GUITools.CustomControls"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:CVRM.Views.Product"
              xmlns:sys="clr-namespace:System;assembly=mscorlib"
                xmlns:material="http://materialdesigninxaml.net/winfx/xaml/themes"
             mc:Ignorable="d" 
             d:DesignHeight="400" d:DesignWidth="400">

    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="*"></RowDefinition>
            <RowDefinition Height="auto"></RowDefinition>
       
        </Grid.RowDefinitions>
        <material:ColorZone material:ShadowAssist.ShadowDepth="Depth2" VerticalAlignment="Stretch"
                            CornerRadius="3" Margin="20 10 20 5" >
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition Height="20"></RowDefinition>
                    <RowDefinition Height="auto"></RowDefinition>
                    <RowDefinition Height="auto"></RowDefinition>
                    <RowDefinition Height="auto"></RowDefinition>
                    <RowDefinition Height="auto"></RowDefinition>
                    <RowDefinition Height="auto"></RowDefinition>
                </Grid.RowDefinitions>

                <TextBox material:HintAssist.Hint="Product Name" Style="{StaticResource MaterialDesignFloatingHintTextBox}"  Text="{Binding Product.Name}" 
                        TextWrapping="Wrap"  Margin="10" Grid.Row="1" />
                <TextBox x:Name="txt" Focusable="True" material:HintAssist.Hint="Product Details" Style="{StaticResource MaterialDesignFloatingHintTextBox}"  Text="{Binding Product.Details}" 
                         TextWrapping="Wrap" Margin="10" Grid.Row="2"/>

                <ComboBox Grid.Row="3" IsEditable="True"  Margin="10"
					material:HintAssist.Hint="Product Type"  Style="{StaticResource MaterialDesignFloatingHintComboBox}"  VerticalAlignment="Stretch" DisplayMemberPath="Name" ItemsSource="{Binding ProductTypes}" SelectedItem="{Binding Product.ProductType}"
                                />
                <DatePicker x:Name="datepicker" material:HintAssist.Hint="Pick Product Date"    SelectedDate="{Binding Product.PublishDate}"  Margin="10" Grid.Row="4"   Style="{StaticResource MaterialDesignFloatingHintDatePicker}" />
                <ComboBox Grid.Row="5" Style="{StaticResource MaterialDesignFloatingHintComboBox}"  IsEditable="True"   Margin="10"
					material:HintAssist.Hint="Product Status"  VerticalAlignment="Stretch" ItemsSource="{Binding ProductStatuses}" SelectedItem="{Binding Product.ProductStatus}"
                                />
            </Grid>
        </material:ColorZone>
        <material:ColorZone material:ShadowAssist.ShadowDepth="Depth2" VerticalAlignment="Bottom" Grid.Row="1" CornerRadius="3"
                   Padding="5"   Margin="20 10 20 5">
            <Grid >
                <Button Content="Save &amp; Close" HorizontalAlignment="Left" VerticalAlignment="Center" Margin="15,0,0,0" Width="130"  Command="{Binding  CmdLst[0].Command}" Height="28"></Button>
                <Button Content="Cancel" HorizontalAlignment="Left" VerticalAlignment="Center" Margin="160,0,0,0" Command="{Binding CmdLst[1].Command}" Width="100"   Height="28"/>
            </Grid>
        </material:ColorZone>


    </Grid>
</tools:BaseUC>
